package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.BasePost;
import com.ssm.manage.entity.BaseStore;
import com.ssm.manage.entity.BaseWorkType;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.query.BasePostRequest;
import com.ssm.manage.query.BaseWorkTypeRequest;

import java.text.ParseException;
import java.util.List;

public interface SsmBaseWorkTypeService  extends BaseService<BaseWorkType> {
    List<BaseWorkType> selectPage(BaseWorkTypeRequest baseWorkTypeRequest) throws SmsException, ParseException;
    int add(BaseWorkTypeRequest baseWorkTypeRequest,String phone) throws SmsException;
    int update(BaseWorkTypeRequest baseWorkTypeRequest,String phone) throws SmsException;
    int updateState(BaseWorkTypeRequest baseWorkTypeRequest,String phone) throws SmsException;
    int delete(BaseWorkTypeRequest baseWorkTypeRequest) throws SmsException;
}
